﻿using UnityEngine;
using System.Collections;

public class Drum : MonoBehaviour
{
    AudioSource[] audioSrcs = null;
    int nextAudioSrcToUse = 0;

    // Use this for initialization
    void Start()
    {
        audioSrcs = gameObject.GetComponents<AudioSource>();
    }

    // Update is called once per frame
    void Update()
    {

    }

    void PlayClipOnNextAudioSource(AudioClip clip)
    {
        audioSrcs[nextAudioSrcToUse].clip = clip;
        audioSrcs[nextAudioSrcToUse].Play();

        nextAudioSrcToUse++;
        if (nextAudioSrcToUse >= audioSrcs.Length)
            nextAudioSrcToUse = 0;
    }


    public bool PlayAnimalSound = false;

    public void OnTriggerEnter2D(Collider2D collision)
    {
        if (audioSrcs != null)
        {
            AudioClip clipToPlay = null;
            if (PlayAnimalSound)
            {
                // Check to see if we're the last active bamboo
                GameObject fs = GameObject.Find("FoodSpawner");
                int activeBamboo = fs.transform.childCount;

                if (activeBamboo == 1) // We are the last one
                {
                    clipToPlay = GameManager.Instance.GetFinishingAnimalSound();
                }
                else
                {
                    clipToPlay = GameManager.Instance.GetRandomAnimalSound();
                }
            }
            else
                clipToPlay = GameManager.Instance.GetRandomBounceSound();

            PlayClipOnNextAudioSource(clipToPlay);
        }
    }


}
