﻿using UnityEngine;
using System.Collections;

public class PlayerStats {

    public static PlayerStats GetInstance()
    {
        if (_instance == null)
            _instance = new PlayerStats();

        return _instance;
    }

    private PlayerStats()
    {
    }

    private static PlayerStats _instance;

    public string NextLevelToPlay = "PlantLevel";

    public int FoodSpawned = 0;
    public int FoodConsumed = 0;

    public float[] Scores = { 0.0f, 0.0f, 0.0f, 0.0f, 0.0f };
    public float[] RequiredScores = { 0.6f, 0.6f, 0.6f, 0.6f};

    // Returns true if the user has unlocked the level
    public bool IsLevelUnlocked(int level)
    {
        if (level == 0)
            return true;

        if (level <= RequiredScores.Length)
            return Scores[level-1] > RequiredScores[level-1];

        return false;
    }

    public void StartNewLevel()
    {
        FoodSpawned = 0;
        FoodConsumed = 0;

    }

}
