﻿using UnityEngine;
using System.Collections;

public class SmallAvatarController : MonoBehaviour {

    private float[] Positions = {
        -2.138888889f,
        -1.23f,
        -0.321111111f,
        0.587777778f,
        1.496666667f,
        2.405555556f,
        3.314444444f,
        4.223333333f,
        5.132222222f,
        6.041111111f,
        6.95f
    };

    private int CurrentPositionIndex = 0;

	// Use this for initialization
	void Start () {
        CurrentPositionIndex = 0;

        if (PlayerStats.GetInstance().IsLevelUnlocked(4))
        {
            CurrentPositionIndex = 9;
        }
        else if (PlayerStats.GetInstance().IsLevelUnlocked(3))
        {
            CurrentPositionIndex = 7;
        }
        else if (PlayerStats.GetInstance().IsLevelUnlocked(2))
        {
            CurrentPositionIndex = 5;
        }
        else if (PlayerStats.GetInstance().IsLevelUnlocked(1))
        {
            CurrentPositionIndex = 3;
        }

    }

    // Update is called once per frame
    void Update () {

        if (Input.GetButtonDown("Left"))
        {
            if (CurrentPositionIndex > 0)
            {
                CurrentPositionIndex -= 1;
            }
        }

        if (Input.GetButtonDown("Right"))
        {
            if (CurrentPositionIndex < Positions.Length - 1)
            {
                CurrentPositionIndex += 1;
            }
        }

        if (Debug.isDebugBuild)
        {
            if (Input.GetKeyDown(KeyCode.U))
            {
                print("All levels unlocked");
                PlayerStats.GetInstance().Scores[0] = 1.0f;
                PlayerStats.GetInstance().Scores[1] = 1.0f;
                PlayerStats.GetInstance().Scores[2] = 1.0f;
                PlayerStats.GetInstance().Scores[3] = 1.0f;
                PlayerStats.GetInstance().Scores[4] = 1.0f;
            }

        }

        gameObject.transform.position = new Vector3(Positions[CurrentPositionIndex], gameObject.transform.position.y, gameObject.transform.position.z);

        gameObject.transform.localScale = Vector3.one * (2.0f + 0.2f * Mathf.Sin(Time.time * 5.0f));
    }
}
